### Method

# Gtk TextBuffer insert_with_tags

#### Declaration [src]

    void
    gtk_text_buffer_insert_with_tags (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      const char* text,
      int len,
      GtkTextTag* first_tag,
      ...
    )

#### Description [src]

Inserts `text` into `buffer` at `iter`, applying the list of tags to the newly-inserted text.

The last tag specified must be `NULL` to terminate the list. Equivalent to calling gtk_text_buffer_insert(), then gtk_text_buffer_apply_tag() on the inserted text; this is just a convenience function.

#### Parameters

`iter` | `GtkTextIter`
| An iterator in `buffer`.
| The data is owned by the caller of the function.
`text` | `const char*`
| UTF-8 text.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`len` | `int`
| Length of `text`, or -1.
`first_tag` | `GtkTextTag`
| First tag to apply to `text`.
| The data is owned by the caller of the function.
`...` | ``
| `NULL`-terminated list of tags to apply.